package dev.shadowsoffire.apotheosis.adventure.boss;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.apotheosis.adventure.AdventureModule;
import dev.shadowsoffire.apotheosis.adventure.boss.ApothMiniboss;
import dev.shadowsoffire.placebo.codec.CodecProvider;
import dev.shadowsoffire.placebo.reload.WeightedDynamicRegistry;
import net.minecraft.resources.ResourceLocation;

public class MinibossRegistry extends WeightedDynamicRegistry<ApothMiniboss> {
  public static final dev.shadowsoffire.apotheosis.adventure.boss.MinibossRegistry INSTANCE = new dev.shadowsoffire.apotheosis.adventure.boss.MinibossRegistry();
  
  public MinibossRegistry() {
    super(AdventureModule.LOGGER, "minibosses", false, false);
  }
  
  protected void validateItem(ResourceLocation key, ApothMiniboss item) {
    super.validateItem(key, (CodecProvider)item);
    item.validate(key);
  }
  
  protected void registerBuiltinCodecs() {
    registerDefaultCodec(Apotheosis.loc("miniboss"), ApothMiniboss.CODEC);
  }
}
